Summary:	Tool for processing ABC music notation files
Name:		abcmidi
Version:	2017.02.02
Release:	%mkrel 1
Source0:	http://ifdo.ca/~seymour/runabc/abcMIDI-%{version}.zip
Group:		Sound/Midi
License:	GPLv2
URL:		http://ifdo.ca/~seymour/runabc/top.html

%description
The abcMIDI package contains four programs: abc2midi to convert ABC music
notation to midi, midi2abc to convert midi files to (a first approximation
of) the corresponding ABC, abc2abc to reformat and/or transpose ABC files,
and yaps to typeset ABC files as PostScript.

For a description of the ABC syntax, please see the ABC user guide
which is a part of the abc2mtex package written by Chris Walshaw.

%prep
%setup -q -n %{name}

%build
rm -f configure makefile || die
sed -i -e "s:-O2::" configure.ac || die
autoreconf -fi
%configure2_5x
%make_build

%install
%make_install

%files
%doc %{_defaultdocdir}/*
%{_mandir}/man1/*.xz
%{_bindir}/*


%changelog
* Sat Feb 18 2017 shlomif <shlomif> 2017.02.02-1.mga6
+ Revision: 1086669
- New version 2017.02.02
- New version 2017.01.01 + updated homepage
- New version 2016.09.25

* Sat May 28 2016 yuri_myasoedov <yuri_myasoedov> 2016.05.05-1.mga6
+ Revision: 1019072
- update to new verision 2016.05.05.
- drop deprecated patch abcmidi-2011.10.19-install.patch.

* Wed Feb 10 2016 umeabot <umeabot> 2015.08.31-2.mga6
+ Revision: 953046
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 shlomif <shlomif> 2015.08.31-1.mga6
+ Revision: 872407
- New version 2015.08.31

* Sat Jun 20 2015 shlomif <shlomif> 2015.06.18-1.mga6
+ Revision: 835764
- New version 2015.06.18

* Wed Oct 15 2014 umeabot <umeabot> 2014.04.24-3.mga5
+ Revision: 747682
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2014.04.24-2.mga5
+ Revision: 677673
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 2014.04.24-1.mga5
+ Revision: 617806
- New version 2014.04.24

* Tue Feb 04 2014 shlomif <shlomif> 2014.01.28-1.mga5
+ Revision: 580716
- New version 2014.01.28

* Sat Oct 19 2013 umeabot <umeabot> 2013.09.15-2.mga4
+ Revision: 536094
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 shlomif <shlomif> 2013.09.15-1.mga4
+ Revision: 483311
- New ver 2013.09.15

* Sat Jun 22 2013 shlomif <shlomif> 2013.06.09-1.mga4
+ Revision: 445705
- New version 2013.06.09

* Fri May 24 2013 shlomif <shlomif> 2013.05.10-1.mga4
+ Revision: 426367
- New version 2013.05.10 + New URL

* Fri Jan 11 2013 umeabot <umeabot> 2012.12.12-2.mga3
+ Revision: 345191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 2012.12.12-1.mga3
+ Revision: 330406
- New version 2012-12-12

* Tue Nov 20 2012 barjac <barjac> 2012.08.08-2.mga3
+ Revision: 319888
- Change group to new policy

* Wed Aug 22 2012 fedya <fedya> 2012.08.08-1.mga3
+ Revision: 283106
- rm not rmi
- rm missing -f flag
- syntax fixes
- License fix
- imported package abcmidi

